Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drupal.project.async_command
Enum Druplet.AccessMode

    java.lang.Object
      java.lang.Enum<Druplet.AccessMode>
          org.drupal.project.async_command.Druplet.AccessMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Druplet.AccessMode>

Enclosing class:
  Druplet

    public static enum Druplet.AccessMode

extends java.lang.Enum<Druplet.AccessMode>

Enum Constant Summary
`LOCAL` The Druplet and Drupal are located on the same computer.
`REMOTE` The Druplet is located on a remote server from Drupal installation.

Method Summary
`static Druplet.AccessMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Druplet.AccessMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOCAL

    public static final Druplet.AccessMode LOCAL

  The Druplet and Drupal are located on the same computer. Druplet can access Drupal API via (Drush) and can access settings.php. Drupal home is saved in drupalHome (File.isDirectory() == true)

### REMOTE

    public static final Druplet.AccessMode REMOTE

  The Druplet is located on a remote server from Drupal installation. It's not safe for Druplet to call DrupalAPI (perhaps needs services module). settings.php is not available. drupalSiteUrl is set with "drupal_site_url".

Method Detail

### values

    public static Druplet.AccessMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Druplet.AccessMode c : Druplet.AccessMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Druplet.AccessMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD